-- 寂灭岛排行主界面
checkRequire("Lua_EquipCopyFirstPassRankPanel");
checkRequire("Lua_EquipCopyTypeRankPanel");
Lua_EquipCopyRankWindow = class("Lua_EquipCopyRankWindow", Lua_Window);
function Lua_EquipCopyRankWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_EquipCopyRankWindow";
	self.skinName = "EquipCopyRankWindow_skin";
	self.showBlackMask = true;
end

function Lua_EquipCopyRankWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.btnInfo = Array();
	self.btnInfo:add({textStr = LanUtil.getValue(420043), panel = Lua_EquipCopyFirstPassRankPanel, redPointId = Lua_RedPointList.EquipCopy_FirstPassRank});
	self.btnInfo:add({textStr = LanUtil.getValue(420044), panel = Lua_EquipCopyTypeRankPanel, rankType = Lua_EquipCopyData.ExtremeRound});
	self.btnInfo:add({textStr = LanUtil.getValue(420045), panel = Lua_EquipCopyTypeRankPanel, rankType = Lua_EquipCopyData.ExtremePower});

	self.btnList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal);
	self.btnList:setLocation(0, 278, 0);
	self.btnList:setButtonStyle("equipcopy_atlas_1", "xui_jmd_widget_08", "xui_jmd_button_015", 155, 52, 0.01, 1);
	self.btnList:setButtonText(0, 1, "695D58", "8F5123", 28, 28, Lua_MyUISettings.huakangFontName, UnityEngine.FontStyle.Normal);
	self.btnList:setButtonLine("equipcopy_atlas_1", "xui_jmd_widget_05", 2, 37, 0, 0, 1);
	self.btnList:setButtonItem(155, 52);
	self.btnList:setRedPoint(64, 15);
	self.btnList:setClickCallBack(self, self.onBtnClick);
	self.btnList:setData(self.btnInfo);
	self.btnList:setSelected(1);
end

function Lua_EquipCopyRankWindow:onBtnClick(index)
	local data = self.btnInfo[index];
	if data.panel ~= nil then
		if self.showPanel ~= nil then
			self.showPanel:dispose();
			self.showPanel = nil;
		end
		
		self.showPanel = data.panel.new(self.content);
		self.showPanel:setRectAnchor(9);
		if data.rankType ~= nil then
			self.showPanel:setData(data.rankType);
		end
	end
end

function Lua_EquipCopyRankWindow:dispose()
	if self.showPanel ~= nil then
		self.showPanel:dispose();
		self.showPanel = nil;
	end
	if self.btnList ~= nil then
		self.btnList:dispose();
		self.btnList = nil;
	end
	if self.btnInfo ~= nil then
		self.btnInfo:dispose();
		self.btnInfo:clear();
		self.btnInfo = nil;
	end

	self:superCall("dispose");
end