-- 交换位置tips
Lua_ChangeTeamPosWindow = class("Lua_ChangeTeamPosWindow", Lua_Window);
function Lua_ChangeTeamPosWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ChangeTeamPosWindow";
	self.skinName = "ChangeTeamPosWindow_skin";
end

function Lua_ChangeTeamPosWindow:buildShowItem()
	self:superCall("buildShowItem");
	DataCenter.equipCopyUtil:clearDelayedTime();
	self.subBtn:addClickFuntion(self, self.onSubBtnClick); -- 确定
	self.cancelBtn:addClickFuntion(self, self.onCancelBtnClick); -- 取消
end

function Lua_ChangeTeamPosWindow:showWin(param)
	self:superCall("showWin", param);

	self.member_id = param.member_id;
	self.tipsTxt.text = LanUtil.formateStr(420058, param.member_name);
	self:starTime();
end

-- 开始计时器
function Lua_ChangeTeamPosWindow:starTime()
	self.overTime = DataCenter.equipCopyUtil.change_time_limit;
	if self.overTime > 0 then
		self.timeTxt.text = LanUtil.formateStr(420059, self.overTime);
		Lua_CommonUtil.addTimer( "updateTeamCloseTime", 1, self, self.updateTeamCloseTime);
	else
		Lua_CommonUtil.removeTimer(self,self.updateTeamCloseTime);
	end
end

function Lua_ChangeTeamPosWindow:updateTeamCloseTime()
	self.overTime = self.overTime - 1;
	if self.overTime >= 0 then
		self.timeTxt.text = LanUtil.formateStr(420059, self.overTime);
	else
		Lua_CommonUtil.removeTimer(self,self.updateTeamCloseTime);
		Lua_ProxyManager.getProxy("Lua_EquipCopyProxy"):sIsExchangePos(0, self.member_id);
		self:hide();
	end
end

function Lua_ChangeTeamPosWindow:onSubBtnClick()
	Lua_ProxyManager.getProxy("Lua_EquipCopyProxy"):sIsExchangePos(1, self.member_id);
	self:hide();
end

-- 创建队伍
function Lua_ChangeTeamPosWindow:onCancelBtnClick()
	Lua_ProxyManager.getProxy("Lua_EquipCopyProxy"):sIsExchangePos(0, self.member_id);
	self:hide();
end

function Lua_ChangeTeamPosWindow:dispose()
	Lua_CommonUtil.removeTimer(self, self.updateTeamCloseTime);
	self:superCall("dispose");
end