-- 邀请询问
Lua_TeamInvitePopUpWindow = class("Lua_TeamInvitePopUpWindow", Lua_TipsBaseWindow)
function Lua_TeamInvitePopUpWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TeamInvitePopUpWindow";
end

function Lua_TeamInvitePopUpWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.contentTxt = UICreate.createLabel(self.content, "", 0, 19, 575, 30, 26);
	self.contentTxt.name = "contentTxt";
	self.contentTxt.alignmentValue = 4;

	self.questionTxt = UICreate.createLabel(self.content, LanUtil.getValue(420057), 0, -26, 575, 30, 24);
	self.questionTxt.name = "questionTxt";
	self.questionTxt.colorStr = Lua_ColorDefine.transColor("908782");
	self.questionTxt.alignmentValue = 4;
end

function Lua_TeamInvitePopUpWindow:showWin(param)
	self:superCall("showWin", param);

	self.contentTxt.text = LanUtil.formateStr(420056, param.invite_role_name, param.boss_name);
end

-- 接受邀请
function Lua_TeamInvitePopUpWindow:onSureClick()
	Lua_ProxyManager.getProxy("Lua_EquipCopyProxy"):sIsInvite(self.showData.team_id, 1);
	self:hide();
end

-- 拒绝邀请
function Lua_TeamInvitePopUpWindow:onCancelClick()
	Lua_ProxyManager.getProxy("Lua_EquipCopyProxy"):sIsInvite(self.showData.team_id, 0);
	self:hide();
end

function Lua_TeamInvitePopUpWindow:dispose()
	if self.contentTxt ~= nil then
		self.contentTxt:dispose();
		self.contentTxt = nil;
	end
	if self.questionTxt ~= nil then
		self.questionTxt:dispose();
		self.questionTxt = nil;
	end
	self:superCall("dispose");
end